Skip to content
Start here

Create new saved logo queries from image files

POST/accounts/{account_id}/brand-protection/logos

Return new saved logo queries created from image files

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
Path ParametersExpand Collapse
account_id: string
minLength1
Query ParametersExpand Collapse
match_type: optional string
tag: optional string
threshold: optional number
Body ParametersExpand Collapse
image: optional file
ReturnsExpand Collapse
id: optional number
tag: optional string
upload_path: optional string

Create new saved logo queries from image files

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/brand-protection/logos \
    -H 'Content-Type: application/x-www-form-urlencoded' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "id": 0,
  "tag": "tag",
  "upload_path": "upload_path"
}
Returns Examples
{
  "id": 0,
  "tag": "tag",
  "upload_path": "upload_path"
}